Subject: Re: [PATCH net-next v2 1/2] net/smc: introduce statistics for allocated ringbufs of link group

From: Jakub Kicinski <[email-masked]>
Date: Wed, 14 Aug 2024 07:50:46 -0700

On Wed, 14 Aug 2024 11:10:33 +0800 Wen Gu wrote:
> >> Hi, Jakub. Thank you for reminder.
> >>
> >> I read the commit log and learned the advantages of this helper.
> >> But it seems that the support for corresponding user-space helpers
> >> hasn't kept up yet, e.g. can't find a helper like nla_get_uint in
> >> latest libnl.  
> > 
> > Add it, then.  
> 
> OK. So I guess we should use nla_put_uint for all 64bit cases from now on?

Yes, actually I'd go further and say all ints should use the variable
size types, unless we are guaranteed they will never be larger than 32b
(e.g. ifindex is used in many places in uAPI as 31b already, we can't
grow it), or the field is explicitly fixed size (e.g. protocol header
fields defined by standards).